<p class="text-right">
  <span class="badge badge-secondary">Last Update: {{ (lastUpdate | async) | date:'mediumTime' }} | Total Items: {{ (todos | async).length }}</span>
</p>

<button class="btn btn-primary" (click)="clearTodos()">Detele All</button>